<?php
/*
 * Developer : John D'Alto (jdalto@yahoo.com)
 * Date : 9/1/2012
 * All code (c)2012 JLS Consulting, all rights reserved
 */

namespace Dorcas\TabithaBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="Dorcas\TabithaBundle\Repository\TabithaRepository")
 * @ORM\Table(name="referrals")
 */

class Referrals
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $referrals_id;
    
    /**
     * @ORM\Column(type="integer")
     */
    protected $client_id;
    
    /**
     * @ORM\OneToOne(targetEntity="Client", inversedBy="referrals")
     * @ORM\JoinColumn(name="client_id", referencedColumnName="client_id")
     */
    protected $client;
    
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $western_wake;
    
    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    protected $western_wake_date;
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $oxford_house;
    
    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    protected $oxford_house_date;
    
    /**
     * @ORM\ManyToOne(targetEntity="Church")
     */
    protected $church;

    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    protected $church_date;
    
    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $other;
    
    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    protected $other_date;
		
	////////////////// new code for new group, Dorcas Programs    0803lmd
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_benefitbank;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_budgetcounseling;
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_childcare;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_jobsforlifeatdorcas;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_joblink;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_margaretkeller;
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_resourceoffice;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $dorcasprograms_other;
  
	///////////////////////////
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_catholicparishoutreach;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_resourcesforseniors;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_salvationarmy;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_trianglefamilyservices;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_wakecountyhumanservices;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_westernwake;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_withlovefromjesus;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $crisis_other;
	
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_cornerstone;
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_raleighrescuemission;
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_salvationarmy;
    
     /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_southwilmingtonstreetshelter;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_wakeinterfaithhospitalitynetwork;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_interact;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_caryingplace;
    
     /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $housing_other;
    
        
	 /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $employment_jobsforlife;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $employment_joblink;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $employment_stepupministry;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $employment_other;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_english;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_gedclasses;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_waketechclasses;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_parentingclasses;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_other;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $foodandclothing_catholicparishoutreach;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $foodandclothing_northraleighministries;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $foodandclothing_salvationarmy;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $foodandclothing_shepherdstable;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $foodandclothing_withlovefromjesus;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $foodandclothing_firstbaptistraleigh;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $foodandclothing_otherfoodandclothingprogram;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $healthcareandrecovery_wakehealthservices;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $healthcareandrecovery_opendoorclinic;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $healthcareandrecovery_alliancemedicalministry;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $healthcareandrecovery_thehealingplaceofwakecounty;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $healthcareandrecovery_trianglealanoclub;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $healthcareandrecovery_northcarolinabaptistdentalbus;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $healthcareandrecovery_otherhealthcareandrecoveryprogram;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $comprehensiveprograms_cornerstone;
	
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $comprehensiveprograms_stepupministry;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $comprehensiveprograms_thecaryingplace;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $comprehensiveprograms_wakecountyhumanservices;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $comprehensiveprograms_wakeinterfaithhospitalitynetwork;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $comprehensiveprograms_othercomprehensiveprogram;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $employment_centerforhopeandhealing;
	
		/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $employment_waketechcommunitycollegehrdclasses;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $employment_otheremploymentprogram;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_margaretkellerscholarship;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_waketechcommunitycollegeesl;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_waketechcommunitycollegehrdclasses;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $education_othertraining;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $medical_alliancemedicalministry;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $medical_figs;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $medical_ncdentalbus;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $medical_theopendoorclinic;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $medical_uncschoolofdentistry;
		
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $medical_wakehealthservices;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $medical_othermedicalprogram;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $personalcounseling_centerforhopeandhealing;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $personalcounseling_trianglefamilyservices;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $personalcounseling_wakementalhealth;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $personalcounseling_othercounselingprogram;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $substanceabuseprograms_havenhouseinc;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $substanceabuseprograms_oxfordhouse;
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $substanceabuseprograms_southlight;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $substanceabuseprograms_thehealingplace;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $substanceabuseprograms_trianglealanoclub;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $substanceabuseprograms_othersubstanceabuseprogram;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $legalservices_legalaidofnorthcarolina;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $legalservices_northcarolinalegalservicesinc;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $legalservices_otherlegalservices;
	
	
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $specialprograms_christmas;
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $specialprograms_thanksgiving;
    
    
    
    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $specialprograms_other;
	
	/**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $specialprograms_emaillist;
	
	
    /**
     * @ORM\Column(type="datetime")
     */
    protected $created_dt;
    
    /**
     * @ORM\Column(type="datetime")
     */
    protected $modified_dt;
    
    
    
    
    
    
    
    
    
    
    
    /**
     * Get refferals_id
     *
     * @return integer 
     */
    public function getReferralsId()
    {
        return $this->referrals_id;
    }

    /**
     * Set client_id
     *
     * @param integer $clientId
     */
    public function setClientId($clientId)
    {
        $this->client_id = $clientId;
    }

    /**
     * Get client_id
     *
     * @return integer 
     */
    public function getClientId()
    {
        return $this->client_id;
    }

    /**
     * Set western_wake
     *
     * @param boolean $westernWake
     */
    public function setWesternWake($westernWake)
    {
        $this->western_wake = $westernWake;
    }

    /**
     * Get western_wake
     *
     * @return boolean 
     */
    public function getWesternWake()
    {
        return $this->western_wake;
    }

    /**
     * Set western_wake_date
     *
     * @param string $westernWakeDate
     */
    public function setWesternWakeDate($westernWakeDate)
    {
        $this->western_wake_date = $westernWakeDate;
    }

    /**
     * Get western_wake_date
     *
     * @return string 
     */
    public function getWesternWakeDate()
    {
        return $this->western_wake_date;
    }

    /**
     * Set client
     *
     * @param Dorcas\TabithaBundle\Entity\Client $client
     */
    public function setClient(\Dorcas\TabithaBundle\Entity\Client $client)
    {
        $this->client = $client;
    }

    /**
     * Get client
     *
     * @return Dorcas\TabithaBundle\Entity\Client 
     */
    public function getClient()
    {
        return $this->client;
    }

    /**
     * Set oxford_house
     *
     * @param boolean $oxfordHouse
     */
    public function setOxfordHouse($oxfordHouse)
    {
        $this->oxford_house = $oxfordHouse;
    }

    /**
     * Get oxford_house
     *
     * @return boolean 
     */
    public function getOxfordHouse()
    {
        return $this->oxford_house;
    }

    /**
     * Set oxford_house_date
     *
     * @param string $oxfordHouseDate
     */
    public function setOxfordHouseDate($oxfordHouseDate)
    {
        $this->oxford_house_date = $oxfordHouseDate;
    }

    /**
     * Get oxford_house_date
     *
     * @return string 
     */
    public function getOxfordHouseDate()
    {
        return $this->oxford_house_date;
    }

    /**
     * Set church
     *
     * @param Dorcas\TabithaBundle\Entity\Church $church
     */
    public function setChurch(\Dorcas\TabithaBundle\Entity\Church $church)
    {
        $this->church = $church;
    }

    /**
     * Get church
     *
     * @return Dorcas\TabithaBundle\Entity\Church 
     */
    public function getChurch()
    {
        return $this->church;
    }

    /**
     * Set church_date
     *
     * @param string $churchDate
     */
    public function setChurchDate($churchDate)
    {
        $this->church_date = $churchDate;
    }

    /**
     * Get church_date
     *
     * @return string 
     */
    public function getChurchDate()
    {
        return $this->church_date;
    }

    /**
     * Set other
     *
     * @param string $other
     */
    public function setOther($other)
    {
        $this->other = $other;
    }

    /**
     * Get other
     *
     * @return string 
     */
    public function getOther()
    {
        return $this->other;
    }

    /**
     * Set other_date
     *
     * @param string $otherDate
     */
    public function setOtherDate($otherDate)
    {
        $this->other_date = $otherDate;
    }

    /**
     * Get other_date
     *
     * @return string 
     */
    public function getOtherDate()
    {
        return $this->other_date;
    }

  
    /**
     * Set housing_cornerstone
     *
     * @param boolean $housingCornerstone
     */
    public function setHousingCornerstone($housingCornerstone)
    {
        $this->housing_cornerstone = $housingCornerstone;
    }

    /**
     * Get housing_cornerstone
     *
     * @return boolean 
     */
    public function getHousingCornerstone()
    {
        return $this->housing_cornerstone;
    }

    /**
     * Set housing_raleighrescuemission
     *
     * @param boolean $housingRaleighrescuemission
     */
    public function setHousingRaleighrescuemission($housingRaleighrescuemission)
    {
        $this->housing_raleighrescuemission = $housingRaleighrescuemission;
    }

    /**
     * Get housing_raleighrescuemission
     *
     * @return boolean 
     */
    public function getHousingRaleighrescuemission()
    {
        return $this->housing_raleighrescuemission;
    }

    /**
     * Set housing_salvationarmy
     *
     * @param boolean $housingSalvationarmy
     */
    public function setHousingSalvationarmy($housingSalvationarmy)
    {
        $this->housing_salvationarmy = $housingSalvationarmy;
    }

    /**
     * Get housing_salvationarmy
     *
     * @return boolean 
     */
    public function getHousingSalvationarmy()
    {
        return $this->housing_salvationarmy;
    }

    /**
     * Set housing_panlutheranministries
     *
     * @param boolean $housingPanlutheranministries
     */
    public function setHousingPanlutheranministries($housingPanlutheranministries)
    {
        $this->housing_panlutheranministries = $housingPanlutheranministries;
    }

    /**
     * Get housing_panlutheranministries
     *
     * @return boolean 
     */
    public function getHousingPanlutheranministries()
    {
        return $this->housing_panlutheranministries;
    }

    /**
     * Set housing_southwilmingtonstreetshelter
     *
     * @param boolean $housingSouthwilmingtonstreetshelter
     */
    public function setHousingSouthwilmingtonstreetshelter($housingSouthwilmingtonstreetshelter)
    {
        $this->housing_southwilmingtonstreetshelter = $housingSouthwilmingtonstreetshelter;
    }

    /**
     * Get housing_southwilmingtonstreetshelter
     *
     * @return boolean 
     */
    public function getHousingSouthwilmingtonstreetshelter()
    {
        return $this->housing_southwilmingtonstreetshelter;
    }

    /**
     * Set housing_thewomansshelter
     *
     * @param boolean $housingThewomansshelter
     */
    public function setHousingThewomansshelter($housingThewomansshelter)
    {
        $this->housing_thewomansshelter = $housingThewomansshelter;
    }

    /**
     * Get housing_thewomansshelter
     *
     * @return boolean 
     */
    public function getHousingThewomansshelter()
    {
        return $this->housing_thewomansshelter;
    }

    /**
     * Set housing_trianglefamilyservices
     *
     * @param boolean $housingTrianglefamilyservices
     */
    public function setHousingTrianglefamilyservices($housingTrianglefamilyservices)
    {
        $this->housing_trianglefamilyservices = $housingTrianglefamilyservices;
    }

    /**
     * Get housing_trianglefamilyservices
     *
     * @return boolean 
     */
    public function getHousingTrianglefamilyservices()
    {
        return $this->housing_trianglefamilyservices;
    }

    /**
     * Set housing_wakecountyhumanservices
     *
     * @param boolean $housingWakecountyhumanservices
     */
    public function setHousingWakecountyhumanservices($housingWakecountyhumanservices)
    {
        $this->housing_wakecountyhumanservices = $housingWakecountyhumanservices;
    }

    /**
     * Get housing_wakecountyhumanservices
     *
     * @return boolean 
     */
    public function getHousingWakecountyhumanservices()
    {
        return $this->housing_wakecountyhumanservices;
    }

    /**
     * Set housing_wakeinterfaithhospitalitynetwork
     *
     * @param boolean $housingWakeinterfaithhospitalitynetwork
     */
    public function setHousingWakeinterfaithhospitalitynetwork($housingWakeinterfaithhospitalitynetwork)
    {
        $this->housing_wakeinterfaithhospitalitynetwork = $housingWakeinterfaithhospitalitynetwork;
    }

    /**
     * Get housing_wakeinterfaithhospitalitynetwork
     *
     * @return boolean 
     */
    public function getHousingWakeinterfaithhospitalitynetwork()
    {
        return $this->housing_wakeinterfaithhospitalitynetwork;
    }

    /**
     * Set housing_interact
     *
     * @param boolean $housingInteract
     */
    public function setHousingInteract($housingInteract)
    {
        $this->housing_interact = $housingInteract;
    }

    /**
     * Get housing_interact
     *
     * @return boolean 
     */
    public function getHousingInteract()
    {
        return $this->housing_interact;
    }

    /**
     * Set housing_caryingplace
     *
     * @param boolean $housingCaryingplace
     */
    public function setHousingCaryingplace($housingCaryingplace)
    {
        $this->housing_caryingplace = $housingCaryingplace;
    }

    /**
     * Get housing_caryingplace
     *
     * @return boolean 
     */
    public function getHousingCaryingplace()
    {
        return $this->housing_caryingplace;
    }

    /**
     * Set housing_other
     *
     * @param boolean $housingOther
     */
    public function setHousingOther($housingOther)
    {
        $this->housing_other = $housingOther;
    }

    /**
     * Get housing_other
     *
     * @return boolean 
     */
    public function getHousingOther()
    {
        return $this->housing_other;
    }

    /**
     * Set financial_wakecountyhumanservicesenergyprogram
     *
     * @param boolean $financialWakecountyhumanservicesenergyprogram
     */
    public function setFinancialWakecountyhumanservicesenergyprogram($financialWakecountyhumanservicesenergyprogram)
    {
        $this->financial_wakecountyhumanservicesenergyprogram = $financialWakecountyhumanservicesenergyprogram;
    }

    /**
     * Get financial_wakecountyhumanservicesenergyprogram
     *
     * @return boolean 
     */
    public function getFinancialWakecountyhumanservicesenergyprogram()
    {
        return $this->financial_wakecountyhumanservicesenergyprogram;
    }

    /**
     * Set financial_trianglefamily
     *
     * @param boolean $financialTrianglefamily
     */
    public function setFinancialTrianglefamily($financialTrianglefamily)
    {
        $this->financial_trianglefamily = $financialTrianglefamily;
    }

    /**
     * Get financial_trianglefamily
     *
     * @return boolean 
     */
    public function getFinancialTrianglefamily()
    {
        return $this->financial_trianglefamily;
    }

    /**
     * Set financial_salvationarmy
     *
     * @param boolean $financialSalvationarmy
     */
    public function setFinancialSalvationarmy($financialSalvationarmy)
    {
        $this->financial_salvationarmy = $financialSalvationarmy;
    }

    /**
     * Get financial_salvationarmy
     *
     * @return boolean 
     */
    public function getFinancialSalvationarmy()
    {
        return $this->financial_salvationarmy;
    }

    /**
     * Set financial_northraleighministries
     *
     * @param boolean $financialNorthraleighministries
     */
    public function setFinancialNorthraleighministries($financialNorthraleighministries)
    {
        $this->financial_northraleighministries = $financialNorthraleighministries;
    }

    /**
     * Get financial_northraleighministries
     *
     * @return boolean 
     */
    public function getFinancialNorthraleighministries()
    {
        return $this->financial_northraleighministries;
    }

    /**
     * Set financial_firstpresbyterianchurch
     *
     * @param boolean $financialFirstpresbyterianchurch
     */
    public function setFinancialFirstpresbyterianchurch($financialFirstpresbyterianchurch)
    {
        $this->financial_firstpresbyterianchurch = $financialFirstpresbyterianchurch;
    }

    /**
     * Get financial_firstpresbyterianchurch
     *
     * @return boolean 
     */
    public function getFinancialFirstpresbyterianchurch()
    {
        return $this->financial_firstpresbyterianchurch;
    }

    /**
     * Set financial_sacredheartchurch
     *
     * @param boolean $financialSacredheartchurch
     */
    public function setFinancialSacredheartchurch($financialSacredheartchurch)
    {
        $this->financial_sacredheartchurch = $financialSacredheartchurch;
    }

    /**
     * Get financial_sacredheartchurch
     *
     * @return boolean 
     */
    public function getFinancialSacredheartchurch()
    {
        return $this->financial_sacredheartchurch;
    }

    /**
     * Set financial_otherfinancialassistanceprogram
     *
     * @param boolean $financialOtherfinancialassistanceprogram
     */
    public function setFinancialOtherfinancialassistanceprogram($financialOtherfinancialassistanceprogram)
    {
        $this->financial_otherfinancialassistanceprogram = $financialOtherfinancialassistanceprogram;
    }

    /**
     * Get financial_otherfinancialassistanceprogram
     *
     * @return boolean 
     */
    public function getFinancialOtherfinancialassistanceprogram()
    {
        return $this->financial_otherfinancialassistanceprogram;
    }

    /**
     * Set foodandclothing_foodstampswakecountyhumanservices
     *
     * @param boolean $foodandclothingFoodstampswakecountyhumanservices
     */
    public function setFoodandclothingFoodstampswakecountyhumanservices($foodandclothingFoodstampswakecountyhumanservices)
    {
        $this->foodandclothing_foodstampswakecountyhumanservices = $foodandclothingFoodstampswakecountyhumanservices;
    }

    /**
     * Get foodandclothing_foodstampswakecountyhumanservices
     *
     * @return boolean 
     */
    public function getFoodandclothingFoodstampswakecountyhumanservices()
    {
        return $this->foodandclothing_foodstampswakecountyhumanservices;
    }

    /**
     * Set foodandclothing_urbanministriesfoodpantry
     *
     * @param boolean $foodandclothingUrbanministriesfoodpantry
     */
    public function setFoodandclothingUrbanministriesfoodpantry($foodandclothingUrbanministriesfoodpantry)
    {
        $this->foodandclothing_urbanministriesfoodpantry = $foodandclothingUrbanministriesfoodpantry;
    }

    /**
     * Get foodandclothing_urbanministriesfoodpantry
     *
     * @return boolean 
     */
    public function getFoodandclothingUrbanministriesfoodpantry()
    {
        return $this->foodandclothing_urbanministriesfoodpantry;
    }

    /**
     * Set foodandclothing_catholicparishoutreach
     *
     * @param boolean $foodandclothingCatholicparishoutreach
     */
    public function setFoodandclothingCatholicparishoutreach($foodandclothingCatholicparishoutreach)
    {
        $this->foodandclothing_catholicparishoutreach = $foodandclothingCatholicparishoutreach;
    }

    /**
     * Get foodandclothing_catholicparishoutreach
     *
     * @return boolean 
     */
    public function getFoodandclothingCatholicparishoutreach()
    {
        return $this->foodandclothing_catholicparishoutreach;
    }

    /**
     * Set foodandclothing_northraleighministries
     *
     * @param boolean $foodandclothingNorthraleighministries
     */
    public function setFoodandclothingNorthraleighministries($foodandclothingNorthraleighministries)
    {
        $this->foodandclothing_northraleighministries = $foodandclothingNorthraleighministries;
    }

    /**
     * Get foodandclothing_northraleighministries
     *
     * @return boolean 
     */
    public function getFoodandclothingNorthraleighministries()
    {
        return $this->foodandclothing_northraleighministries;
    }

    /**
     * Set foodandclothing_salvationarmy
     *
     * @param boolean $foodandclothingSalvationarmy
     */
    public function setFoodandclothingSalvationarmy($foodandclothingSalvationarmy)
    {
        $this->foodandclothing_salvationarmy = $foodandclothingSalvationarmy;
    }

    /**
     * Get foodandclothing_salvationarmy
     *
     * @return boolean 
     */
    public function getFoodandclothingSalvationarmy()
    {
        return $this->foodandclothing_salvationarmy;
    }

    /**
     * Set foodandclothing_shepherdstable
     *
     * @param boolean $foodandclothingSheperdstable
     */
    public function setFoodandclothingSheperdstable($foodandclothingSheperdstable)
    {
        $this->foodandclothing_shehperdstable = $foodandclothingSheperdstable;
    }

    /**
     * Get foodandclothing_shepherdstable
     *
     * @return boolean 
     */
    public function getFoodandclothingSheperdstable()
    {
        return $this->foodandclothing_shepherdstable;
    }

    /**
     * Set foodandclothing_withlovefromjesus
     *
     * @param boolean $foodandclothingWithlovefromjesus
     */
    public function setFoodandclothingWithlovefromjesus($foodandclothingWithlovefromjesus)
    {
        $this->foodandclothing_withlovefromjesus = $foodandclothingWithlovefromjesus;
    }

    /**
     * Get foodandclothing_withlovefromjesus
     *
     * @return boolean 
     */
    public function getFoodandclothingWithlovefromjesus()
    {
        return $this->foodandclothing_withlovefromjesus;
    }

    /**
     * Set foodandclothing_firstbaptistraleigh
     *
     * @param boolean $foodandclothingFirstbaptistraleigh
     */
    public function setFoodandclothingFirstbaptistraleigh($foodandclothingFirstbaptistraleigh)
    {
        $this->foodandclothing_firstbaptistraleigh = $foodandclothingFirstbaptistraleigh;
    }

    /**
     * Get foodandclothing_firstbaptistraleigh
     *
     * @return boolean 
     */
    public function getFoodandclothingFirstbaptistraleigh()
    {
        return $this->foodandclothing_firstbaptistraleigh;
    }

    /**
     * Set foodandclothing_otherfoodandclothingprogram
     *
     * @param boolean $foodandclothingOtherfoodandclothingprogram
     */
    public function setFoodandclothingOtherfoodandclothingprogram($foodandclothingOtherfoodandclothingprogram)
    {
        $this->foodandclothing_otherfoodandclothingprogram = $foodandclothingOtherfoodandclothingprogram;
    }

    /**
     * Get foodandclothing_otherfoodandclothingprogram
     *
     * @return boolean 
     */
    public function getFoodandclothingOtherfoodandclothingprogram()
    {
        return $this->foodandclothing_otherfoodandclothingprogram;
    }

    /**
     * Set healthcareandrecovery_wakehealthservices
     *
     * @param boolean $healthcareandrecoveryWakehealthservices
     */
    public function setHealthcareandrecoveryWakehealthservices($healthcareandrecoveryWakehealthservices)
    {
        $this->healthcareandrecovery_wakehealthservices = $healthcareandrecoveryWakehealthservices;
    }

    /**
     * Get healthcareandrecovery_wakehealthservices
     *
     * @return boolean 
     */
    public function getHealthcareandrecoveryWakehealthservices()
    {
        return $this->healthcareandrecovery_wakehealthservices;
    }

    /**
     * Set healthcareandrecovery_opendoorclinic
     *
     * @param boolean $healthcareandrecoveryOpendoorclinic
     */
    public function setHealthcareandrecoveryOpendoorclinic($healthcareandrecoveryOpendoorclinic)
    {
        $this->healthcareandrecovery_opendoorclinic = $healthcareandrecoveryOpendoorclinic;
    }

    /**
     * Get healthcareandrecovery_opendoorclinic
     *
     * @return boolean 
     */
    public function getHealthcareandrecoveryOpendoorclinic()
    {
        return $this->healthcareandrecovery_opendoorclinic;
    }

    /**
     * Set healthcareandrecovery_alliancemedicalministry
     *
     * @param boolean $healthcareandrecoveryAlliancemedicalministry
     */
    public function setHealthcareandrecoveryAlliancemedicalministry($healthcareandrecoveryAlliancemedicalministry)
    {
        $this->healthcareandrecovery_alliancemedicalministry = $healthcareandrecoveryAlliancemedicalministry;
    }

    /**
     * Get healthcareandrecovery_alliancemedicalministry
     *
     * @return boolean 
     */
    public function getHealthcareandrecoveryAlliancemedicalministry()
    {
        return $this->healthcareandrecovery_alliancemedicalministry;
    }

    /**
     * Set healthcareandrecovery_thehealingplaceofwakecounty
     *
     * @param boolean $healthcareandrecoveryThehealingplaceofwakecounty
     */
    public function setHealthcareandrecoveryThehealingplaceofwakecounty($healthcareandrecoveryThehealingplaceofwakecounty)
    {
        $this->healthcareandrecovery_thehealingplaceofwakecounty = $healthcareandrecoveryThehealingplaceofwakecounty;
    }

    /**
     * Get healthcareandrecovery_thehealingplaceofwakecounty
     *
     * @return boolean 
     */
    public function getHealthcareandrecoveryThehealingplaceofwakecounty()
    {
        return $this->healthcareandrecovery_thehealingplaceofwakecounty;
    }

    /**
     * Set healthcareandrecovery_trianglealanoclub
     *
     * @param boolean $healthcareandrecoveryTrianglealanoclub
     */
    public function setHealthcareandrecoveryTrianglealanoclub($healthcareandrecoveryTrianglealanoclub)
    {
        $this->healthcareandrecovery_trianglealanoclub = $healthcareandrecoveryTrianglealanoclub;
    }

    /**
     * Get healthcareandrecovery_trianglealanoclub
     *
     * @return boolean 
     */
    public function getHealthcareandrecoveryTrianglealanoclub()
    {
        return $this->healthcareandrecovery_trianglealanoclub;
    }

    /**
     * Set healthcareandrecovery_northcarolinabaptistdentalbus
     *
     * @param boolean $healthcareandrecoveryNorthcarolinabaptistdentalbus
     */
    public function setHealthcareandrecoveryNorthcarolinabaptistdentalbus($healthcareandrecoveryNorthcarolinabaptistdentalbus)
    {
        $this->healthcareandrecovery_northcarolinabaptistdentalbus = $healthcareandrecoveryNorthcarolinabaptistdentalbus;
    }

    /**
     * Get healthcareandrecovery_northcarolinabaptistdentalbus
     *
     * @return boolean 
     */
    public function getHealthcareandrecoveryNorthcarolinabaptistdentalbus()
    {
        return $this->healthcareandrecovery_northcarolinabaptistdentalbus;
    }

    /**
     * Set healthcareandrecovery_otherhealthcareandrecoveryprogram
     *
     * @param boolean $healthcareandrecoveryOtherhealthcareandrecoveryprogram
     */
    public function setHealthcareandrecoveryOtherhealthcareandrecoveryprogram($healthcareandrecoveryOtherhealthcareandrecoveryprogram)
    {
        $this->healthcareandrecovery_otherhealthcareandrecoveryprogram = $healthcareandrecoveryOtherhealthcareandrecoveryprogram;
    }

    /**
     * Get healthcareandrecovery_otherhealthcareandrecoveryprogram
     *
     * @return boolean 
     */
    public function getHealthcareandrecoveryOtherhealthcareandrecoveryprogram()
    {
        return $this->healthcareandrecovery_otherhealthcareandrecoveryprogram;
    }

    /**
     * Set comprhensiveprograms_cornerstone
     *
     * @param boolean $comprhensiveprogramsCornerstone
     */
    public function setComprhensiveprogramsCornerstone($comprhensiveprogramsCornerstone)
    {
        $this->comprhensiveprograms_cornerstone = $comprhensiveprogramsCornerstone;
    }

    /**
     * Get comprhensiveprograms_cornerstone
     *
     * @return boolean 
     */
    public function getComprhensiveprogramsCornerstone()
    {
        return $this->comprhensiveprograms_cornerstone;
    }

    /**
     * Set comprhensiveprograms_stepupministry
     *
     * @param boolean $comprhensiveprogramsStepupministry
     */
    public function setComprhensiveprogramsStepupministry($comprhensiveprogramsStepupministry)
    {
        $this->comprhensiveprograms_stepupministry = $comprhensiveprogramsStepupministry;
    }

    /**
     * Get comprhensiveprograms_stepupministry
     *
     * @return boolean 
     */
    public function getComprhensiveprogramsStepupministry()
    {
        return $this->comprhensiveprograms_stepupministry;
    }

    /**
     * Set comprhensiveprograms_thecaryingplace
     *
     * @param boolean $comprhensiveprogramsThecaryingplace
     */
    public function setComprhensiveprogramsThecaryingplace($comprhensiveprogramsThecaryingplace)
    {
        $this->comprhensiveprograms_thecaryingplace = $comprhensiveprogramsThecaryingplace;
    }

    /**
     * Get comprhensiveprograms_thecaryingplace
     *
     * @return boolean 
     */
    public function getComprhensiveprogramsThecaryingplace()
    {
        return $this->comprhensiveprograms_thecaryingplace;
    }

    /**
     * Set comprhensiveprograms_wakecountyhumanservices
     *
     * @param boolean $comprhensiveprogramsWakecountyhumanservices
     */
    public function setComprhensiveprogramsWakecountyhumanservices($comprhensiveprogramsWakecountyhumanservices)
    {
        $this->comprhensiveprograms_wakecountyhumanservices = $comprhensiveprogramsWakecountyhumanservices;
    }

    /**
     * Get comprhensiveprograms_wakecountyhumanservices
     *
     * @return boolean 
     */
    public function getComprhensiveprogramsWakecountyhumanservices()
    {
        return $this->comprhensiveprograms_wakecountyhumanservices;
    }

    /**
     * Set comprhensiveprograms_wakeinterfaithhospitalitynetwork
     *
     * @param boolean $comprhensiveprogramsWakeinterfaithhospitalitynetwork
     */
    public function setComprhensiveprogramsWakeinterfaithhospitalitynetwork($comprhensiveprogramsWakeinterfaithhospitalitynetwork)
    {
        $this->comprhensiveprograms_wakeinterfaithhospitalitynetwork = $comprhensiveprogramsWakeinterfaithhospitalitynetwork;
    }

    /**
     * Get comprhensiveprograms_wakeinterfaithhospitalitynetwork
     *
     * @return boolean 
     */
    public function getComprhensiveprogramsWakeinterfaithhospitalitynetwork()
    {
        return $this->comprhensiveprograms_wakeinterfaithhospitalitynetwork;
    }

    /**
     * Set comprhensiveprograms_othercomprenhensiveprogram
     *
     * @param boolean $comprhensiveprogramsOthercomprenhensiveprogram
     */
    public function setComprhensiveprogramsOthercomprenhensiveprogram($comprhensiveprogramsOthercomprenhensiveprogram)
    {
        $this->comprhensiveprograms_othercomprenhensiveprogram = $comprhensiveprogramsOthercomprenhensiveprogram;
    }

    /**
     * Get comprhensiveprograms_othercomprenhensiveprogram
     *
     * @return boolean 
     */
    public function getComprhensiveprogramsOthercomprenhensiveprogram()
    {
        return $this->comprhensiveprograms_othercomprenhensiveprogram;
    }

    /**
     * Set employment_centerforhopeandhealing
     *
     * @param boolean $employmentCenterforhopeandhealing
     */
    public function setEmploymentCenterforhopeandhealing($employmentCenterforhopeandhealing)
    {
        $this->employment_centerforhopeandhealing = $employmentCenterforhopeandhealing;
    }

    /**
     * Get employment_centerforhopeandhealing
     *
     * @return boolean 
     */
    public function getEmploymentCenterforhopeandhealing()
    {
        return $this->employment_centerforhopeandhealing;
    }

    /**
     * Set employment_dorcasministriesresourceoffice
     *
     * @param boolean $employmentDorcasministriesresourceoffice
     */
    public function setEmploymentDorcasministriesresourceoffice($employmentDorcasministriesresourceoffice)
    {
        $this->employment_dorcasministriesresourceoffice = $employmentDorcasministriesresourceoffice;
    }

    /**
     * Get employment_dorcasministriesresourceoffice
     *
     * @return boolean 
     */
    public function getEmploymentDorcasministriesresourceoffice()
    {
        return $this->employment_dorcasministriesresourceoffice;
    }

    
  

    /**
     * Set employment_waketechcommunitycollegehrdclasses
     *
     * @param boolean $employmentWaketechcommunitycollegehrdclasses
     */
    public function setEmploymentWaketechcommunitycollegehrdclasses($employmentWaketechcommunitycollegehrdclasses)
    {
        $this->employment_waketechcommunitycollegehrdclasses = $employmentWaketechcommunitycollegehrdclasses;
    }

    /**
     * Get employment_waketechcommunitycollegehrdclasses
     *
     * @return boolean 
     */
    public function getEmploymentWaketechcommunitycollegehrdclasses()
    {
        return $this->employment_waketechcommunitycollegehrdclasses;
    }

    /**
     * Set employment_otheremploymentprogram
     *
     * @param boolean $employmentOtheremploymentprogram
     */
    public function setEmploymentOtheremploymentprogram($employmentOtheremploymentprogram)
    {
        $this->employment_otheremploymentprogram = $employmentOtheremploymentprogram;
    }

    /**
     * Get employment_otheremploymentprogram
     *
     * @return boolean 
     */
    public function getEmploymentOtheremploymentprogram()
    {
        return $this->employment_otheremploymentprogram;
    }

    /**
     * Set education_margaretkellerscholarship
     *
     * @param boolean $educationMargaretkellerscholarship
     */
    public function setEducationMargaretkellerscholarship($educationMargaretkellerscholarship)
    {
        $this->education_margaretkellerscholarship = $educationMargaretkellerscholarship;
    }

    /**
     * Get education_margaretkellerscholarship
     *
     * @return boolean 
     */
    public function getEducationMargaretkellerscholarship()
    {
        return $this->education_margaretkellerscholarship;
    }

    /**
     * Set education_waketechcommunitycollegeesl
     *
     * @param boolean $educationWaketechcommunitycollegeesl
     */
    public function setEducationWaketechcommunitycollegeesl($educationWaketechcommunitycollegeesl)
    {
        $this->education_waketechcommunitycollegeesl = $educationWaketechcommunitycollegeesl;
    }

    /**
     * Get education_waketechcommunitycollegeesl
     *
     * @return boolean 
     */
    public function getEducationWaketechcommunitycollegeesl()
    {
        return $this->education_waketechcommunitycollegeesl;
    }

    /**
     * Set education_waketechcommunitycollegehrdclasses
     *
     * @param boolean $educationWaketechcommunitycollegehrdclasses
     */
    public function setEducationWaketechcommunitycollegehrdclasses($educationWaketechcommunitycollegehrdclasses)
    {
        $this->education_waketechcommunitycollegehrdclasses = $educationWaketechcommunitycollegehrdclasses;
    }

    /**
     * Get education_waketechcommunitycollegehrdclasses
     *
     * @return boolean 
     */
    public function getEducationWaketechcommunitycollegehrdclasses()
    {
        return $this->education_waketechcommunitycollegehrdclasses;
    }

    /**
     * Set education_othertraining
     *
     * @param boolean $educationOthertraining
     */
    public function setEducationOthertraining($educationOthertraining)
    {
        $this->education_othertraining = $educationOthertraining;
    }

    /**
     * Get education_othertraining
     *
     * @return boolean 
     */
    public function getEducationOthertraining()
    {
        return $this->education_othertraining;
    }

    /**
     * Set financialcounseling_budgetcounseling
     *
     * @param boolean $financialcounselingBudgetcounseling
     */
    public function setFinancialcounselingBudgetcounseling($financialcounselingBudgetcounseling)
    {
        $this->financialcounseling_budgetcounseling = $financialcounselingBudgetcounseling;
    }

    /**
     * Get financialcounseling_budgetcounseling
     *
     * @return boolean 
     */
    public function getFinancialcounselingBudgetcounseling()
    {
        return $this->financialcounseling_budgetcounseling;
    }

    /**
     * Set financialcounseling_consumereducationcounseling
     *
     * @param boolean $financialcounselingConsumereducationcounseling
     */
    public function setFinancialcounselingConsumereducationcounseling($financialcounselingConsumereducationcounseling)
    {
        $this->financialcounseling_consumereducationcounseling = $financialcounselingConsumereducationcounseling;
    }

    /**
     * Get financialcounseling_consumereducationcounseling
     *
     * @return boolean 
     */
    public function getFinancialcounselingConsumereducationcounseling()
    {
        return $this->financialcounseling_consumereducationcounseling;
    }

    /**
     * Set financialcounseling_trianglefamilyservices
     *
     * @param boolean $financialcounselingTrianglefamilyservices
     */
    public function setFinancialcounselingTrianglefamilyservices($financialcounselingTrianglefamilyservices)
    {
        $this->financialcounseling_trianglefamilyservices = $financialcounselingTrianglefamilyservices;
    }

    /**
     * Get financialcounseling_trianglefamilyservices
     *
     * @return boolean 
     */
    public function getFinancialcounselingTrianglefamilyservices()
    {
        return $this->financialcounseling_trianglefamilyservices;
    }

    /**
     * Set financialcounseling_otherfinancialcounseling
     *
     * @param boolean $financialcounselingOtherfinancialcounseling
     */
    public function setFinancialcounselingOtherfinancialcounseling($financialcounselingOtherfinancialcounseling)
    {
        $this->financialcounseling_otherfinancialcounseling = $financialcounselingOtherfinancialcounseling;
    }

    /**
     * Get financialcounseling_otherfinancialcounseling
     *
     * @return boolean 
     */
    public function getFinancialcounselingOtherfinancialcounseling()
    {
        return $this->financialcounseling_otherfinancialcounseling;
    }

    /**
     * Set legalservices_legalaidofnorthcarolina
     *
     * @param boolean $legalservicesLegalaidofnorthcarolina
     */
    public function setLegalservicesLegalaidofnorthcarolina($legalservicesLegalaidofnorthcarolina)
    {
        $this->legalservices_legalaidofnorthcarolina = $legalservicesLegalaidofnorthcarolina;
    }

    /**
     * Get legalservices_legalaidofnorthcarolina
     *
     * @return boolean 
     */
    public function getLegalservicesLegalaidofnorthcarolina()
    {
        return $this->legalservices_legalaidofnorthcarolina;
    }

    /**
     * Set legalservices_northcarolinalegalservicesinc
     *
     * @param boolean $legalservicesNorthcarolinalegalservicesinc
     */
    public function setLegalservicesNorthcarolinalegalservicesinc($legalservicesNorthcarolinalegalservicesinc)
    {
        $this->legalservices_northcarolinalegalservicesinc = $legalservicesNorthcarolinalegalservicesinc;
    }

    /**
     * Get legalservices_northcarolinalegalservicesinc
     *
     * @return boolean 
     */
    public function getLegalservicesNorthcarolinalegalservicesinc()
    {
        return $this->legalservices_northcarolinalegalservicesinc;
    }

    /**
     * Set legalservices_otherlegalservice
     *
     * @param boolean $legalservicesOtherlegalservice
     */
    public function setLegalservicesOtherlegalservice($legalservicesOtherlegalservice)
    {
        $this->legalservices_otherlegalservice = $legalservicesOtherlegalservice;
    }

    /**
     * Get legalservices_otherlegalservice
     *
     * @return boolean 
     */
    public function getLegalservicesOtherlegalservice()
    {
        return $this->legalservices_otherlegalservice;
    }

    /**
     * Set personalcounseling_centerforhopeandhealing
     *
     * @param boolean $personalcounselingCenterforhopeandhealing
     */
    public function setPersonalcounselingCenterforhopeandhealing($personalcounselingCenterforhopeandhealing)
    {
        $this->personalcounseling_centerforhopeandhealing = $personalcounselingCenterforhopeandhealing;
    }

    /**
     * Get personalcounseling_centerforhopeandhealing
     *
     * @return boolean 
     */
    public function getPersonalcounselingCenterforhopeandhealing()
    {
        return $this->personalcounseling_centerforhopeandhealing;
    }

    /**
     * Set personalcounseling_trianglefamilyservices
     *
     * @param boolean $personalcounselingTrianglefamilyservices
     */
    public function setPersonalcounselingTrianglefamilyservices($personalcounselingTrianglefamilyservices)
    {
        $this->personalcounseling_trianglefamilyservices = $personalcounselingTrianglefamilyservices;
    }

    /**
     * Get personalcounseling_trianglefamilyservices
     *
     * @return boolean 
     */
    public function getPersonalcounselingTrianglefamilyservices()
    {
        return $this->personalcounseling_trianglefamilyservices;
    }

    /**
     * Set personalcounseling_westernwakehumanservicescenter
     *
     * @param boolean $personalcounselingWesternwakehumanservicescenter
     */
    public function setPersonalcounselingWesternwakehumanservicescenter($personalcounselingWesternwakehumanservicescenter)
    {
        $this->personalcounseling_westernwakehumanservicescenter = $personalcounselingWesternwakehumanservicescenter;
    }

    /**
     * Get personalcounseling_westernwakehumanservicescenter
     *
     * @return boolean 
     */
    public function getPersonalcounselingWesternwakehumanservicescenter()
    {
        return $this->personalcounseling_westernwakehumanservicescenter;
    }

    /**
     * Set personalcounseling_othercounselingprogram
     *
     * @param boolean $personalcounselingOthercounselingprogram
     */
    public function setPersonalcounselingOthercounselingprogram($personalcounselingOthercounselingprogram)
    {
        $this->personalcounseling_othercounselingprogram = $personalcounselingOthercounselingprogram;
    }

    /**
     * Get personalcounseling_othercounselingprogram
     *
     * @return boolean 
     */
    public function getPersonalcounselingOthercounselingprogram()
    {
        return $this->personalcounseling_othercounselingprogram;
    }

    /**
     * Set substanceabuseprograms_havenhouseinc
     *
     * @param boolean $substanceabuseprogramsHavenhouseinc
     */
    public function setSubstanceabuseprogramsHavenhouseinc($substanceabuseprogramsHavenhouseinc)
    {
        $this->substanceabuseprograms_havenhouseinc = $substanceabuseprogramsHavenhouseinc;
    }

    /**
     * Get substanceabuseprograms_havenhouseinc
     *
     * @return boolean 
     */
    public function getSubstanceabuseprogramsHavenhouseinc()
    {
        return $this->substanceabuseprograms_havenhouseinc;
    }

    /**
     * Set substanceabuseprograms_oxfordhouse
     *
     * @param boolean $substanceabuseprogramsOxfordhouse
     */
    public function setSubstanceabuseprogramsOxfordhouse($substanceabuseprogramsOxfordhouse)
    {
        $this->substanceabuseprograms_oxfordhouse = $substanceabuseprogramsOxfordhouse;
    }

    /**
     * Get substanceabuseprograms_oxfordhouse
     *
     * @return boolean 
     */
    public function getSubstanceabuseprogramsOxfordhouse()
    {
        return $this->substanceabuseprograms_oxfordhouse;
    }

    /**
     * Set substanceabuseprograms_southlight
     *
     * @param boolean $substanceabuseprogramsSouthlight
     */
    public function setSubstanceabuseprogramsSouthlight($substanceabuseprogramsSouthlight)
    {
        $this->substanceabuseprograms_southlight = $substanceabuseprogramsSouthlight;
    }

    /**
     * Get substanceabuseprograms_southlight
     *
     * @return boolean 
     */
    public function getSubstanceabuseprogramsSouthlight()
    {
        return $this->substanceabuseprograms_southlight;
    }

    /**
     * Set substanceabuseprograms_thehealingplace
     *
     * @param boolean $substanceabuseprogramsThehealingplace
     */
    public function setSubstanceabuseprogramsThehealingplace($substanceabuseprogramsThehealingplace)
    {
        $this->substanceabuseprograms_thehealingplace = $substanceabuseprogramsThehealingplace;
    }

    /**
     * Get substanceabuseprograms_thehealingplace
     *
     * @return boolean 
     */
    public function getSubstanceabuseprogramsThehealingplace()
    {
        return $this->substanceabuseprograms_thehealingplace;
    }

    /**
     * Set substanceabuseprograms_trianglealanoclub
     *
     * @param boolean $substanceabuseprogramsTrianglealanoclub
     */
    public function setSubstanceabuseprogramsTrianglealanoclub($substanceabuseprogramsTrianglealanoclub)
    {
        $this->substanceabuseprograms_trianglealanoclub = $substanceabuseprogramsTrianglealanoclub;
    }

    /**
     * Get substanceabuseprograms_trianglealanoclub
     *
     * @return boolean 
     */
    public function getSubstanceabuseprogramsTrianglealanoclub()
    {
        return $this->substanceabuseprograms_trianglealanoclub;
    }

    /**
     * Set substanceabuseprograms_othersubstanceabuseprogram
     *
     * @param boolean $substanceabuseprogramsOthersubstanceabuseprogram
     */
    public function setSubstanceabuseprogramsOthersubstanceabuseprogram($substanceabuseprogramsOthersubstanceabuseprogram)
    {
        $this->substanceabuseprograms_othersubstanceabuseprogram = $substanceabuseprogramsOthersubstanceabuseprogram;
    }

    /**
     * Get substanceabuseprograms_othersubstanceabuseprogram
     *
     * @return boolean 
     */
    public function getSubstanceabuseprogramsOthersubstanceabuseprogram()
    {
        return $this->substanceabuseprograms_othersubstanceabuseprogram;
    }

    /**
     * Set medical_alliancemedicalministry
     *
     * @param boolean $medicalAlliancemedicalministry
     */
    public function setMedicalAlliancemedicalministry($medicalAlliancemedicalministry)
    {
        $this->medical_alliancemedicalministry = $medicalAlliancemedicalministry;
    }

    /**
     * Get medical_alliancemedicalministry
     *
     * @return boolean 
     */
    public function getMedicalAlliancemedicalministry()
    {
        return $this->medical_alliancemedicalministry;
    }

    /**
     * Set medical_theopendoorclinic
     *
     * @param boolean $medicalTheopendoorclinic
     */
    public function setMedicalTheopendoorclinic($medicalTheopendoorclinic)
    {
        $this->medical_theopendoorclinic = $medicalTheopendoorclinic;
    }

    /**
     * Get medical_theopendoorclinic
     *
     * @return boolean 
     */
    public function getMedicalTheopendoorclinic()
    {
        return $this->medical_theopendoorclinic;
    }

    /**
     * Set medical_uncschoolofdentistry
     *
     * @param boolean $medicalUncschoolofdentistry
     */
    public function setMedicalUncschoolofdentistry($medicalUncschoolofdentistry)
    {
        $this->medical_uncschoolofdentistry = $medicalUncschoolofdentistry;
    }

    /**
     * Get medical_uncschoolofdentistry
     *
     * @return boolean 
     */
    public function getMedicalUncschoolofdentistry()
    {
        return $this->medical_uncschoolofdentistry;
    }

    /**
     * Set medical_wakecountyhumanservices
     *
     * @param boolean $medicalWakecountyhumanservices
     */
    public function setMedicalWakecountyhumanservices($medicalWakecountyhumanservices)
    {
        $this->medical_wakecountyhumanservices = $medicalWakecountyhumanservices;
    }

    /**
     * Get medical_wakecountyhumanservices
     *
     * @return boolean 
     */
    public function getMedicalWakecountyhumanservices()
    {
        return $this->medical_wakecountyhumanservices;
    }

    /**
     * Set medical_wakehealthservices
     *
     * @param boolean $medicalWakehealthservices
     */
    public function setMedicalWakehealthservices($medicalWakehealthservices)
    {
        $this->medical_wakehealthservices = $medicalWakehealthservices;
    }

    /**
     * Get medical_wakehealthservices
     *
     * @return boolean 
     */
    public function getMedicalWakehealthservices()
    {
        return $this->medical_wakehealthservices;
    }

    /**
     * Set medical_othermedicalprogram
     *
     * @param boolean $medicalOthermedicalprogram
     */
    public function setMedicalOthermedicalprogram($medicalOthermedicalprogram)
    {
        $this->medical_othermedicalprogram = $medicalOthermedicalprogram;
    }

    /**
     * Get medical_othermedicalprogram
     *
     * @return boolean 
     */
    public function getMedicalOthermedicalprogram()
    {
        return $this->medical_othermedicalprogram;
    }

    /**
     * Set comprehensiveprograms_cornerstone
     *
     * @param boolean $comprehensiveprogramsCornerstone
     */
    public function setComprehensiveprogramsCornerstone($comprehensiveprogramsCornerstone)
    {
        $this->comprehensiveprograms_cornerstone = $comprehensiveprogramsCornerstone;
    }

    /**
     * Get comprehensiveprograms_cornerstone
     *
     * @return boolean 
     */
    public function getComprehensiveprogramsCornerstone()
    {
        return $this->comprehensiveprograms_cornerstone;
    }

    /**
     * Set comperhensiveprograms_stepupministry
     *
     * @param boolean $comperhensiveprogramsStepupministry
     */
    public function setComperhensiveprogramsStepupministry($comperhensiveprogramsStepupministry)
    {
        $this->comperhensiveprograms_stepupministry = $comperhensiveprogramsStepupministry;
    }

    /**
     * Get comperhensiveprograms_stepupministry
     *
     * @return boolean 
     */
    public function getComperhensiveprogramsStepupministry()
    {
        return $this->comperhensiveprograms_stepupministry;
    }

    /**
     * Set comprehensiveprograms_thecaryingplace
     *
     * @param boolean $comprehensiveprogramsThecaryingplace
     */
    public function setComprehensiveprogramsThecaryingplace($comprehensiveprogramsThecaryingplace)
    {
        $this->comprehensiveprograms_thecaryingplace = $comprehensiveprogramsThecaryingplace;
    }

    /**
     * Get comprehensiveprograms_thecaryingplace
     *
     * @return boolean 
     */
    public function getComprehensiveprogramsThecaryingplace()
    {
        return $this->comprehensiveprograms_thecaryingplace;
    }

    /**
     * Set comprehensiveprograms_wakecountyhumanservices
     *
     * @param boolean $comprehensiveprogramsWakecountyhumanservices
     */
    public function setComprehensiveprogramsWakecountyhumanservices($comprehensiveprogramsWakecountyhumanservices)
    {
        $this->comprehensiveprograms_wakecountyhumanservices = $comprehensiveprogramsWakecountyhumanservices;
    }

    /**
     * Get comprehensiveprograms_wakecountyhumanservices
     *
     * @return boolean 
     */
    public function getComprehensiveprogramsWakecountyhumanservices()
    {
        return $this->comprehensiveprograms_wakecountyhumanservices;
    }

    /**
     * Set comprehensiveprograms_wakeinterfaithhospitalitynetwork
     *
     * @param boolean $comprehensiveprogramsWakeinterfaithhospitalitynetwork
     */
    public function setComprehensiveprogramsWakeinterfaithhospitalitynetwork($comprehensiveprogramsWakeinterfaithhospitalitynetwork)
    {
        $this->comprehensiveprograms_wakeinterfaithhospitalitynetwork = $comprehensiveprogramsWakeinterfaithhospitalitynetwork;
    }

    /**
     * Get comprehensiveprograms_wakeinterfaithhospitalitynetwork
     *
     * @return boolean 
     */
    public function getComprehensiveprogramsWakeinterfaithhospitalitynetwork()
    {
        return $this->comprehensiveprograms_wakeinterfaithhospitalitynetwork;
    }

    /**
     * Set comprehensiveprograms_othercomprehensiveprogram
     *
     * @param boolean $comprehensiveprogramsOthercomprehensiveprogram
     */
    public function setComprehensiveprogramsOthercomprenhensiveprogram($comprehensiveprogramsOthercomprehensiveprogram)
    {
        $this->comprehensiveprograms_othercomprenhensiveprogram = $comprehensiveprogramsOthercomprehensiveprogram;
    }

    /**
     * Get comprehensiveprograms_othercomprenhensiveprogram
     *
     * @return boolean 
     */
    public function getComprehensiveprogramsOthercomprehensiveprogram()
    {
        return $this->comprehensiveprograms_othercomprehensiveprogram;
    }

    /**
     * Set comprehensiveprograms_stepupministry
     *
     * @param boolean $comprehensiveprogramsStepupministry
     */
    public function setComprehensiveprogramsStepupministry($comprehensiveprogramsStepupministry)
    {
        $this->comprehensiveprograms_stepupministry = $comprehensiveprogramsStepupministry;
    }

    /**
     * Get comprehensiveprograms_stepupministry
     *
     * @return boolean 
     */
    public function getComprehensiveprogramsStepupministry()
    {
        return $this->comprehensiveprograms_stepupministry;
    }

    /**
     * Get comprehensiveprograms_othercomprenhensiveprogram
     *
     * @return boolean 
     */
    public function getComprehensiveprogramsOthercomprenhensiveprogram()
    {
        return $this->comprehensiveprograms_othercomprenhensiveprogram;
    }

    /**
     * Set comprehensiveprograms_othercomprehensiveprogram
     *
     * @param boolean $comprehensiveprogramsOthercomprehensiveprogram
     */
    public function setComprehensiveprogramsOthercomprehensiveprogram($comprehensiveprogramsOthercomprehensiveprogram)
    {
        $this->comprehensiveprograms_othercomprehensiveprogram = $comprehensiveprogramsOthercomprehensiveprogram;
    }

    /**
     * Set legalservices_otherlegalservices
     *
     * @param boolean $legalservicesOtherlegalservices
     */
    public function setLegalservicesOtherlegalservices($legalservicesOtherlegalservices)
    {
        $this->legalservices_otherlegalservices = $legalservicesOtherlegalservices;
    }

    /**
     * Get legalservices_otherlegalservices
     *
     * @return boolean 
     */
    public function getLegalservicesOtherlegalservices()
    {
        return $this->legalservices_otherlegalservices;
    }

    /**
     * Set foodandclothing_shepherdstable
     *
     * @param boolean $foodandclothingShepherdstable
     */
    public function setFoodandclothingShepherdstable($foodandclothingShepherdstable)
    {
        $this->foodandclothing_shepherdstable = $foodandclothingShepherdstable;
    }

    /**
     * Get foodandclothing_shepherdstable
     *
     * @return boolean 
     */
    public function getFoodandclothingShepherdstable()
    {
        return $this->foodandclothing_shepherdstable;
    }

    /**
     * Set dorcasprograms_margaretkeller
     *
     * @param boolean $dorcasprogramsMargaretkeller
     */
    public function setDorcasprogramsMargaretkeller($dorcasprogramsMargaretkeller)
    {
        $this->dorcasprograms_margaretkeller = $dorcasprogramsMargaretkeller;
    }

    /**
     * Get dorcasprograms_margaretkeller
     *
     * @return boolean 
     */
    public function getDorcasprogramsMargaretkeller()
    {
        return $this->dorcasprograms_margaretkeller;
    }

    /**
     * Set dorcasprograms_childcare
     *
     * @param boolean $dorcasprogramsChildcare
     */
    public function setDorcasprogramsChildcare($dorcasprogramsChildcare)
    {
        $this->dorcasprograms_childcare = $dorcasprogramsChildcare;
    }

    /**
     * Get dorcasprograms_childcare
     *
     * @return boolean 
     */
    public function getDorcasprogramsChildcare()
    {
        return $this->dorcasprograms_childcare;
    }

    /**
     * Set dorcasprograms_resourceoffice
     *
     * @param boolean $dorcasprogramsResourceoffice
     */
    public function setDorcasprogramsResourceoffice($dorcasprogramsResourceoffice)
    {
        $this->dorcasprograms_resourceoffice = $dorcasprogramsResourceoffice;
    }

    /**
     * Get dorcasprograms_resourceoffice
     *
     * @return boolean 
     */
    public function getDorcasprogramsResourceoffice()
    {
        return $this->dorcasprograms_resourceoffice;
    }

    /**
     * Set specialprograms_townofcaryparks
     *
     * @param boolean $specialprogramsTownofcaryparks
     */
    public function setSpecialprogramsTownofcaryparks($specialprogramsTownofcaryparks)
    {
        $this->specialprograms_townofcaryparks = $specialprogramsTownofcaryparks;
    }

    /**
     * Get specialprograms_townofcaryparks
     *
     * @return boolean 
     */
    public function getSpecialprogramsTownofcaryparks()
    {
        return $this->specialprograms_townofcaryparks;
    }

    /**
     * Set specialprograms_townofmorrisvilleparks
     *
     * @param boolean $specialprogramsTownofmorrisvilleparks
     */
    public function setSpecialprogramsTownofmorrisvilleparks($specialprogramsTownofmorrisvilleparks)
    {
        $this->specialprograms_townofmorrisvilleparks = $specialprogramsTownofmorrisvilleparks;
    }

    /**
     * Get specialprograms_townofmorrisvilleparks
     *
     * @return boolean 
     */
    public function getSpecialprogramsTownofmorrisvilleparks()
    {
        return $this->specialprograms_townofmorrisvilleparks;
    }

    /**
     * Set specialprograms_christmas
     *
     * @param boolean $specialprogramsChristmas
     */
    public function setSpecialprogramsChristmas($specialprogramsChristmas)
    {
        $this->specialprograms_christmas = $specialprogramsChristmas;
    }

    /**
     * Get specialprograms_christmas
     *
     * @return boolean 
     */
    public function getSpecialprogramsChristmas()
    {
        return $this->specialprograms_christmas;
    }

    /**
     * Set specialprograms_other
     *
     * @param boolean $specialprogramsOther
     */
    public function setSpecialprogramsOther($specialprogramsOther)
    {
        $this->specialprograms_other = $specialprogramsOther;
    }

    /**
     * Get specialprograms_other
     *
     * @return boolean 
     */
    public function getSpecialprogramsOther()
    {
        return $this->specialprograms_other;
    }
    
        /**
     * @ORM\preUpdate
     */
    public function setUpdatedValue()
    {
       $this->setModifiedDt(new \DateTime());
    }

   public function __construct()
    {
        $this->setCreatedDt(new \DateTime());
        $this->setModifiedDt(new \DateTime());
    }

    /**
     * Set created_dt
     *
     * @param datetime $createdDt
     */
    public function setCreatedDt($createdDt)
    {
        $this->created_dt = $createdDt;
    }

    /**
     * Get created_dt
     *
     * @return datetime 
     */
    public function getCreatedDt()
    {
        return $this->created_dt;
    }

    /**
     * Set modified_dt
     *
     * @param datetime $modifiedDt
     */
    public function setModifiedDt($modifiedDt)
    {
        $this->modified_dt = $modifiedDt;
    }

    /**
     * Get modified_dt
     *
     * @return datetime 
     */
    public function getModifiedDt()
    {
        return $this->modified_dt;
    }

    /**
     * Set financial_trianglefamilyservices
     *
     * @param boolean $financialTrianglefamilyservices
     */
    public function setFinancialTrianglefamilyservices($financialTrianglefamilyservices)
    {
        $this->financial_trianglefamilyservices = $financialTrianglefamilyservices;
    }

    /**
     * Get financial_trianglefamilyservices
     *
     * @return boolean 
     */
    public function getFinancialTrianglefamilyservices()
    {
        return $this->financial_trianglefamilyservices;
    }

    /**
     * Set dorcasprograms_joblink
     *
     * @param boolean $dorcasprogramsJoblink
     */
    public function setDorcasprogramsJoblink($dorcasprogramsJoblink)
    {
        $this->dorcasprograms_joblink = $dorcasprogramsJoblink;
    }

    /**
     * Get dorcasprograms_joblink
     *
     * @return boolean 
     */
    public function getDorcasprogramsJoblink()
    {
        return $this->dorcasprograms_joblink;
    }

    /**
     * Set dorcasprograms_jobsforlifeatdorcas
     *
     * @param boolean $dorcasprogramsJobsforlifeatdorcas
     */
    public function setDorcasprogramsJobsforlifeatdorcas($dorcasprogramsJobsforlifeatdorcas)
    {
        $this->dorcasprograms_jobsforlifeatdorcas = $dorcasprogramsJobsforlifeatdorcas;
    }

    /**
     * Get dorcasprograms_jobsforlifeatdorcas
     *
     * @return boolean 
     */
    public function getDorcasprogramsJobsforlifeatdorcas()
    {
        return $this->dorcasprograms_jobsforlifeatdorcas;
    }

    /**
     * Set dorcasprograms_benefitbank
     *
     * @param boolean $dorcasprogramsBenefitbank
     */
    public function setDorcasprogramsBenefitbank($dorcasprogramsBenefitbank)
    {
        $this->dorcasprograms_benefitbank = $dorcasprogramsBenefitbank;
    }

    /**
     * Get dorcasprograms_benefitbank
     *
     * @return boolean 
     */
    public function getDorcasprogramsBenefitbank()
    {
        return $this->dorcasprograms_benefitbank;
    }

    /**
     * Set dorcasprograms_budgetcounseling
     *
     * @param boolean $dorcasprogramsBudgetcounseling
     */
    public function setDorcasprogramsBudgetcounseling($dorcasprogramsBudgetcounseling)
    {
        $this->dorcasprograms_budgetcounseling = $dorcasprogramsBudgetcounseling;
    }

    /**
     * Get dorcasprograms_budgetcounseling
     *
     * @return boolean 
     */
    public function getDorcasprogramsBudgetcounseling()
    {
        return $this->dorcasprograms_budgetcounseling;
    }

    /**
     * Set dorcasprograms_other
     *
     * @param boolean $dorcasprogramsOther
     */
    public function setDorcasprogramsOther($dorcasprogramsOther)
    {
        $this->dorcasprograms_other = $dorcasprogramsOther;
    }

    /**
     * Get dorcasprograms_other
     *
     * @return boolean 
     */
    public function getDorcasprogramsOther()
    {
        return $this->dorcasprograms_other;
    }

    /**
     * Set crisis_catholicparishoutreach
     *
     * @param boolean $crisisCatholicparishoutreach
     */
    public function setCrisisCatholicparishoutreach($crisisCatholicparishoutreach)
    {
        $this->crisis_catholicparishoutreach = $crisisCatholicparishoutreach;
    }

    /**
     * Get crisis_catholicparishoutreach
     *
     * @return boolean 
     */
    public function getCrisisCatholicparishoutreach()
    {
        return $this->crisis_catholicparishoutreach;
    }

    /**
     * Set crisis_salvationarmy
     *
     * @param boolean $crisisSalvationarmy
     */
    public function setCrisisSalvationarmy($crisisSalvationarmy)
    {
        $this->crisis_salvationarmy = $crisisSalvationarmy;
    }

    /**
     * Get crisis_salvationarmy
     *
     * @return boolean 
     */
    public function getCrisisSalvationarmy()
    {
        return $this->crisis_salvationarmy;
    }

    /**
     * Set crisis_trianglefamilyservices
     *
     * @param boolean $crisisTrianglefamilyservices
     */
    public function setCrisisTrianglefamilyservices($crisisTrianglefamilyservices)
    {
        $this->crisis_trianglefamilyservices = $crisisTrianglefamilyservices;
    }

    /**
     * Get crisis_trianglefamilyservices
     *
     * @return boolean 
     */
    public function getCrisisTrianglefamilyservices()
    {
        return $this->crisis_trianglefamilyservices;
    }

    /**
     * Set crisis_wakecountyhumanservices
     *
     * @param boolean $crisisWakecountyhumanservices
     */
    public function setCrisisWakecountyhumanservices($crisisWakecountyhumanservices)
    {
        $this->crisis_wakecountyhumanservices = $crisisWakecountyhumanservices;
    }

    /**
     * Get crisis_wakecountyhumanservices
     *
     * @return boolean 
     */
    public function getCrisisWakecountyhumanservices()
    {
        return $this->crisis_wakecountyhumanservices;
    }

    /**
     * Set crisis_westernwake
     *
     * @param boolean $crisisWesternwake
     */
    public function setCrisisWesternwake($crisisWesternwake)
    {
        $this->crisis_westernwake = $crisisWesternwake;
    }

    /**
     * Get crisis_westernwake
     *
     * @return boolean 
     */
    public function getCrisisWesternwake()
    {
        return $this->crisis_westernwake;
    }

    /**
     * Set crisis_withlovefromjesus
     *
     * @param boolean $crisisWithlovefromjesus
     */
    public function setCrisisWithlovefromjesus($crisisWithlovefromjesus)
    {
        $this->crisis_withlovefromjesus = $crisisWithlovefromjesus;
    }

    /**
     * Get crisis_withlovefromjesus
     *
     * @return boolean 
     */
    public function getCrisisWithlovefromjesus()
    {
        return $this->crisis_withlovefromjesus;
    }

    /**
     * Set crisis_other
     *
     * @param boolean $crisisOther
     */
    public function setCrisisOther($crisisOther)
    {
        $this->crisis_other = $crisisOther;
    }

    /**
     * Get crisis_other
     *
     * @return boolean 
     */
    public function getCrisisOther()
    {
        return $this->crisis_other;
    }

    /**
     * Set employment_jobsforlife
     *
     * @param boolean $employmentJobsforlife
     */
    public function setEmploymentJobsforlife($employmentJobsforlife)
    {
        $this->employment_jobsforlife = $employmentJobsforlife;
    }

    /**
     * Get employment_jobsforlife
     *
     * @return boolean 
     */
    public function getEmploymentJobsforlife()
    {
        return $this->employment_jobsforlife;
    }

    /**
     * Set employment_joblink
     *
     * @param boolean $employmentJoblink
     */
    public function setEmploymentJoblink($employmentJoblink)
    {
        $this->employment_joblink = $employmentJoblink;
    }

    /**
     * Get employment_joblink
     *
     * @return boolean 
     */
    public function getEmploymentJoblink()
    {
        return $this->employment_joblink;
    }

    /**
     * Set employment_stepupministry
     *
     * @param boolean $employmentStepupministry
     */
    public function setEmploymentStepupministry($employmentStepupministry)
    {
        $this->employment_stepupministry = $employmentStepupministry;
    }

    /**
     * Get employment_stepupministry
     *
     * @return boolean 
     */
    public function getEmploymentStepupministry()
    {
        return $this->employment_stepupministry;
    }

    /**
     * Set employment_other
     *
     * @param boolean $employmentOther
     */
    public function setEmploymentOther($employmentOther)
    {
        $this->employment_other = $employmentOther;
    }

    /**
     * Get employment_other
     *
     * @return boolean 
     */
    public function getEmploymentOther()
    {
        return $this->employment_other;
    }

    /**
     * Set education_english
     *
     * @param boolean $educationEnglish
     */
    public function setEducationEnglish($educationEnglish)
    {
        $this->education_english = $educationEnglish;
    }

    /**
     * Get education_english
     *
     * @return boolean 
     */
    public function getEducationEnglish()
    {
        return $this->education_english;
    }

    /**
     * Set education_gedclasses
     *
     * @param boolean $educationGedclasses
     */
    public function setEducationGedclasses($educationGedclasses)
    {
        $this->education_gedclasses = $educationGedclasses;
    }

    /**
     * Get education_gedclasses
     *
     * @return boolean 
     */
    public function getEducationGedclasses()
    {
        return $this->education_gedclasses;
    }

    /**
     * Set education_waketechclasses
     *
     * @param boolean $educationWaketechclasses
     */
    public function setEducationWaketechclasses($educationWaketechclasses)
    {
        $this->education_waketechclasses = $educationWaketechclasses;
    }

    /**
     * Get education_waketechclasses
     *
     * @return boolean 
     */
    public function getEducationWaketechclasses()
    {
        return $this->education_waketechclasses;
    }

    /**
     * Set education_parentingclasses
     *
     * @param boolean $educationParentingclasses
     */
    public function setEducationParentingclasses($educationParentingclasses)
    {
        $this->education_parentingclasses = $educationParentingclasses;
    }

    /**
     * Get education_parentingclasses
     *
     * @return boolean 
     */
    public function getEducationParentingclasses()
    {
        return $this->education_parentingclasses;
    }

    /**
     * Set education_other
     *
     * @param boolean $educationOther
     */
    public function setEducationOther($educationOther)
    {
        $this->education_other = $educationOther;
    }

    /**
     * Get education_other
     *
     * @return boolean 
     */
    public function getEducationOther()
    {
        return $this->education_other;
    }

    /**
     * Set medical_figs
     *
     * @param boolean $medicalFigs
     */
    public function setMedicalFigs($medicalFigs)
    {
        $this->medical_figs = $medicalFigs;
    }

    /**
     * Get medical_figs
     *
     * @return boolean 
     */
    public function getMedicalFigs()
    {
        return $this->medical_figs;
    }

    /**
     * Set medical_ncdentalbus
     *
     * @param boolean $medicalNcdentalbus
     */
    public function setMedicalNcdentalbus($medicalNcdentalbus)
    {
        $this->medical_ncdentalbus = $medicalNcdentalbus;
    }

    /**
     * Get medical_ncdentalbus
     *
     * @return boolean 
     */
    public function getMedicalNcdentalbus()
    {
        return $this->medical_ncdentalbus;
    }

    /**
     * Set personalcounseling_wakementalhealth
     *
     * @param boolean $personalcounselingWakementalhealth
     */
    public function setPersonalcounselingWakementalhealth($personalcounselingWakementalhealth)
    {
        $this->personalcounseling_wakementalhealth = $personalcounselingWakementalhealth;
    }

    /**
     * Get personalcounseling_wakementalhealth
     *
     * @return boolean 
     */
    public function getPersonalcounselingWakementalhealth()
    {
        return $this->personalcounseling_wakementalhealth;
    }

    /**
     * Set specialprograms_thanksgiving
     *
     * @param boolean $specialprogramsThanksgiving
     */
    public function setSpecialprogramsThanksgiving($specialprogramsThanksgiving)
    {
        $this->specialprograms_thanksgiving = $specialprogramsThanksgiving;
    }

    /**
     * Get specialprograms_thanksgiving
     *
     * @return boolean 
     */
    public function getSpecialprogramsThanksgiving()
    {
        return $this->specialprograms_thanksgiving;
    }

    /**
     * Set specialprograms_easter
     *
     * @param boolean $specialprogramsEaster
     */
    public function setSpecialprogramsEaster($specialprogramsEaster)
    {
        $this->specialprograms_easter = $specialprogramsEaster;
    }

    /**
     * Get specialprograms_easter
     *
     * @return boolean 
     */
    public function getSpecialprogramsEaster()
    {
        return $this->specialprograms_easter;
    }

    /**
     * Set specialprograms_backtoschool
     *
     * @param boolean $specialprogramsBacktoschool
     */
    public function setSpecialprogramsBacktoschool($specialprogramsBacktoschool)
    {
        $this->specialprograms_backtoschool = $specialprogramsBacktoschool;
    }

    /**
     * Get specialprograms_backtoschool
     *
     * @return boolean 
     */
    public function getSpecialprogramsBacktoschool()
    {
        return $this->specialprograms_backtoschool;
    }

    /**
     * Set specialprograms_emaillist
     *
     * @param boolean $specialprogramsEmaillist
     */
    public function setSpecialprogramsEmaillist($specialprogramsEmaillist)
    {
        $this->specialprograms_emaillist = $specialprogramsEmaillist;
    }

    /**
     * Get specialprograms_emaillist
     *
     * @return boolean 
     */
    public function getSpecialprogramsEmaillist()
    {
        return $this->specialprograms_emaillist;
    }

    /**
     * Set crisis_resourcesforseniors
     *
     * @param boolean $crisisResourcesforseniors
     */
    public function setCrisisResourcesforseniors($crisisResourcesforseniors)
    {
        $this->crisis_resourcesforseniors = $crisisResourcesforseniors;
    }

    /**
     * Get crisis_resourcesforseniors
     *
     * @return boolean 
     */
    public function getCrisisResourcesforseniors()
    {
        return $this->crisis_resourcesforseniors;
    }
}